<?php
/**
 * @package linea21.modules
 * @subpackage yellowpages
 * @author linea21 <info@linea21.com>
 * @version $id SVN
 * @access public
 * @license http://opensource.org/licenses/gpl-3.0.html
 */

//////////// Check Inclusion de pages //////////// 
if (!function_exists('AuthenthificationProcess')){ 
include_once("../lib/lib_common.php");
ReloadIndex('admin');
}
////////////

$qbx_module=_t('menu','yellowpages');

$resultqb=$sql_object->DBSelect($req_quickbox_list);	
if ($todo == 'add' || $todo == 'list' || $todo == 'mod' || $todo == 'sup' || $todo == 'det') {
	$qbx_liste='';
	$nb='';
	
	if($resultqb==0) {
		$qbx_liste.="<li>"._t('divers','nodata')."</li>";
	} 
	else {	
		if(count($resultqb)>=10) $nb=10; else $nb=count($resultqb);
		for($i=0; $i<count($resultqb); $i++) {
		$qbx_yp_title=cutText($resultqb[$i]['yellowp_name'], 50);
		$qbx_yp_title=formatText($qbx_yp_title, '2HTML');
		$qbx_liste.="<li><a href=\"index.php?id=". $resultqb[$i]['yellowp_id'] ."&amp;rub=$rub&amp;todo=det\" title=\""._t('divers','last_modify').": ".$resultqb[$i]['yellowp_last_modify']."  ("._t('divers','date_crea').": ".$resultqb[$i]['yellowp_date_crea'].") \">". $qbx_yp_title ."</a></li>\n";
	}
	}
	$qbx_h1=$nb.''._t('yp','qb_title');
}		
	
echo QuickBoxNow($qbx_module, $qbx_h1, $qbx_liste);
echo "</div>\n";	

?>